Index: /trunk/src/binutils/bfd/configure
===================================================================
--- /trunk/src/binutils/bfd/configure	(revision 841)
+++ /trunk/src/binutils/bfd/configure	(revision 842)
@@ -2,5 +2,5 @@
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.13 
+# Generated automatically using autoconf version 2.13
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
@@ -854,5 +854,5 @@
 fi
 
-  
+
 
 
@@ -2250,5 +2250,5 @@
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-  
+
      ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -2376,9 +2376,9 @@
 exec 5>>./config.log
 
-  
-
-  
-	 
-	 
+
+
+
+	
+	
 
 # Check whether --enable-64-bit-bfd or --disable-64-bit-bfd was given.
@@ -2466,5 +2466,5 @@
 
   echo "$ac_t""$USE_MAINTAINER_MODE" 1>&6
-  
+
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -2476,5 +2476,5 @@
 fi
   MAINT=$MAINTAINER_MODE_TRUE
-  
+
 
 echo $ac_n "checking whether to install libbfd""... $ac_c" 1>&6
@@ -2493,5 +2493,5 @@
 
   echo "$ac_t""$install_libbfd_p" 1>&6
-  
+
 
 if test $install_libbfd_p = yes; then
@@ -2509,6 +2509,6 @@
     bfdincludedir='$(exec_prefix)/$(host_alias)/$(target_alias)/include'
   fi
-  
-  
+
+
 
 
@@ -2781,5 +2781,5 @@
 
 
-ALL_LINGUAS="fr tr ja es sv da zh_CN"
+ALL_LINGUAS="fr ja es sv da zh_CN"
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
 echo "configure:2786: checking how to run the C preprocessor" >&5
@@ -3071,5 +3071,5 @@
 if test $ac_cv_c_const = no; then
   cat >> confdefs.h <<\EOF
-#define const 
+#define const
 EOF
 
@@ -3107,5 +3107,5 @@
   inline | yes) ;;
   no) cat >> confdefs.h <<\EOF
-#define inline 
+#define inline
 EOF
  ;;
@@ -3451,5 +3451,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3506,5 +3506,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3683,5 +3683,5 @@
 fi
 
-                              
+
    for ac_hdr in argz.h limits.h locale.h nl_types.h malloc.h string.h \
 unistd.h values.h sys/param.h
@@ -3720,5 +3720,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3776,5 +3776,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3833,5 +3833,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3892,5 +3892,5 @@
 
     echo "$ac_t""$USE_NLS" 1>&6
-    
+
 
     USE_INCLUDED_LIBINTL=no
@@ -4132,5 +4132,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4242,5 +4242,5 @@
 
 
-	        
+	
         if test "$CATOBJEXT" = "NONE"; then
 	  	  	  nls_cv_use_gnu_gettext=yes
@@ -4358,5 +4358,5 @@
 fi
 
-        
+
 	USE_INCLUDED_LIBINTL=yes
         CATOBJEXT=.gmo
@@ -4399,16 +4399,16 @@
     done
 
-        
-    
-    
-    
-    
-    
-    
-    
-    
-    
-    
-  
+
+
+
+
+
+
+
+
+
+
+
+
 
    if test "x$CATOBJEXT" != "x"; then
@@ -4439,5 +4439,5 @@
 /* The system does not provide the header <locale.h>.  Take care yourself.  */"
    fi
-   
+
 
             if test -f $srcdir/po2tbl.sed.in; then
@@ -4492,12 +4492,12 @@
      GT_YES="#YES#"
    fi
-   
-   
+
+
 
    MKINSTALLDIRS="\$(srcdir)/../../mkinstalldirs"
-   
+
 
       l=
-   
+
 
             if test -f $srcdir/po/POTFILES.in; then
@@ -4516,5 +4516,5 @@
 	 < $srcdir/po/POTFILES.in > po/POTFILES
    fi
-  
+
 
 # Permit host specific settings.
@@ -4678,5 +4678,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4719,5 +4719,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4934,5 +4934,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -5467,5 +5467,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -5497,5 +5497,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_prstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -5533,5 +5533,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_prstatus32_t=no
-   
+
 fi
 rm -f conftest*
@@ -5569,5 +5569,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_member_prstatus_t_pr_who=no
-   
+
 fi
 rm -f conftest*
@@ -5605,5 +5605,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_member_prstatus32_t_pr_who=no
-   
+
 fi
 rm -f conftest*
@@ -5641,5 +5641,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_pstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -5677,5 +5677,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_pxstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -5713,5 +5713,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_pstatus32_t=no
-   
+
 fi
 rm -f conftest*
@@ -5749,5 +5749,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_prpsinfo_t=no
-   
+
 fi
 rm -f conftest*
@@ -5785,5 +5785,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_prpsinfo32_t=no
-   
+
 fi
 rm -f conftest*
@@ -5821,5 +5821,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_psinfo_t=no
-   
+
 fi
 rm -f conftest*
@@ -5857,5 +5857,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_psinfo32_t=no
-   
+
 fi
 rm -f conftest*
@@ -5893,5 +5893,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_lwpstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -5929,5 +5929,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_lwpxstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -5965,5 +5965,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_member_lwpstatus_t_pr_context=no
-   
+
 fi
 rm -f conftest*
@@ -6001,5 +6001,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_member_lwpstatus_t_pr_reg=no
-   
+
 fi
 rm -f conftest*
@@ -6037,5 +6037,5 @@
   rm -rf conftest*
   bfd_cv_have_sys_procfs_type_win32_pstatus_t=no
-   
+
 fi
 rm -f conftest*
@@ -6586,5 +6586,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -6641,5 +6641,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -6867,5 +6867,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
Index: /trunk/src/binutils/bfd/configure.in
===================================================================
--- /trunk/src/binutils/bfd/configure.in	(revision 841)
+++ /trunk/src/binutils/bfd/configure.in	(revision 842)
@@ -104,5 +104,5 @@
 AC_PROG_CC
 
-ALL_LINGUAS="fr tr ja es sv da zh_CN"
+ALL_LINGUAS="fr ja es sv da zh_CN"
 CY_GNU_GETTEXT
 
Index: /trunk/src/binutils/binutils/configure
===================================================================
--- /trunk/src/binutils/binutils/configure	(revision 841)
+++ /trunk/src/binutils/binutils/configure	(revision 842)
@@ -2,5 +2,5 @@
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.13 
+# Generated automatically using autoconf version 2.13
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
@@ -848,5 +848,5 @@
 fi
 
-  
+
 
 
@@ -2129,5 +2129,5 @@
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-  
+
      ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -2255,9 +2255,9 @@
 exec 5>>./config.log
 
-  
-
-  
-	 
-	 
+
+
+
+	
+	
 
 # Check whether --enable-targets or --disable-targets was given.
@@ -2840,5 +2840,5 @@
 
 
-ALL_LINGUAS="fr tr ja es sv da zh_CN"
+ALL_LINGUAS="fr ja es sv da zh_CN"
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
@@ -3047,5 +3047,5 @@
 if test $ac_cv_c_const = no; then
   cat >> confdefs.h <<\EOF
-#define const 
+#define const
 EOF
 
@@ -3083,5 +3083,5 @@
   inline | yes) ;;
   no) cat >> confdefs.h <<\EOF
-#define inline 
+#define inline
 EOF
  ;;
@@ -3427,5 +3427,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3482,5 +3482,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3659,5 +3659,5 @@
 fi
 
-                              
+
    for ac_hdr in argz.h limits.h locale.h nl_types.h malloc.h string.h \
 unistd.h values.h sys/param.h
@@ -3696,5 +3696,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3752,5 +3752,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3809,5 +3809,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3868,5 +3868,5 @@
 
     echo "$ac_t""$USE_NLS" 1>&6
-    
+
 
     USE_INCLUDED_LIBINTL=no
@@ -4108,5 +4108,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4218,5 +4218,5 @@
 
 
-	        
+	
         if test "$CATOBJEXT" = "NONE"; then
 	  	  	  nls_cv_use_gnu_gettext=yes
@@ -4334,5 +4334,5 @@
 fi
 
-        
+
 	USE_INCLUDED_LIBINTL=yes
         CATOBJEXT=.gmo
@@ -4375,16 +4375,16 @@
     done
 
-        
-    
-    
-    
-    
-    
-    
-    
-    
-    
-    
-  
+
+
+
+
+
+
+
+
+
+
+
+
 
    if test "x$CATOBJEXT" != "x"; then
@@ -4415,5 +4415,5 @@
 /* The system does not provide the header <locale.h>.  Take care yourself.  */"
    fi
-   
+
 
             if test -f $srcdir/po2tbl.sed.in; then
@@ -4468,12 +4468,12 @@
      GT_YES="#YES#"
    fi
-   
-   
+
+
 
    MKINSTALLDIRS="\$(srcdir)/../../mkinstalldirs"
-   
+
 
       l=
-   
+
 
             if test -f $srcdir/po/POTFILES.in; then
@@ -4492,5 +4492,5 @@
 	 < $srcdir/po/POTFILES.in > po/POTFILES
    fi
-  
+
 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
@@ -4505,5 +4505,5 @@
 
   echo "$ac_t""$USE_MAINTAINER_MODE" 1>&6
-  
+
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -4515,5 +4515,5 @@
 fi
   MAINT=$MAINTAINER_MODE_TRUE
-  
+
 
 
@@ -4749,5 +4749,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -5080,5 +5080,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -5207,7 +5207,7 @@
 if test "$ac_cv_search_frexp" != "no"; then
   test "$ac_cv_search_frexp" = "none required" || LIBS="$ac_cv_search_frexp $LIBS"
-  
+
 else :
-  
+
 fi
 
Index: /trunk/src/binutils/binutils/configure.in
===================================================================
--- /trunk/src/binutils/binutils/configure.in	(revision 841)
+++ /trunk/src/binutils/binutils/configure.in	(revision 842)
@@ -65,5 +65,5 @@
 AM_PROG_LEX
 
-ALL_LINGUAS="fr tr ja es sv da zh_CN"
+ALL_LINGUAS="fr ja es sv da zh_CN"
 CY_GNU_GETTEXT
 
Index: /trunk/src/binutils/gprof/configure
===================================================================
--- /trunk/src/binutils/gprof/configure	(revision 841)
+++ /trunk/src/binutils/gprof/configure	(revision 842)
@@ -2,5 +2,5 @@
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.13 
+# Generated automatically using autoconf version 2.13
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
@@ -2103,5 +2103,5 @@
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-  
+
      ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -2229,9 +2229,9 @@
 exec 5>>./config.log
 
-  
-
-  
-	 
-	 
+
+
+
+	
+	
 
 
@@ -2581,5 +2581,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -2588,5 +2588,5 @@
 
 
-ALL_LINGUAS="fr tr sv es id da pt_BR"
+ALL_LINGUAS="fr sv es id da pt_BR"
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
 echo "configure:2593: checking how to run the C preprocessor" >&5
@@ -2878,5 +2878,5 @@
 if test $ac_cv_c_const = no; then
   cat >> confdefs.h <<\EOF
-#define const 
+#define const
 EOF
 
@@ -2914,5 +2914,5 @@
   inline | yes) ;;
   no) cat >> confdefs.h <<\EOF
-#define inline 
+#define inline
 EOF
  ;;
@@ -3258,5 +3258,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3313,5 +3313,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3490,5 +3490,5 @@
 fi
 
-                              
+
    for ac_hdr in argz.h limits.h locale.h nl_types.h malloc.h string.h \
 unistd.h values.h sys/param.h
@@ -3527,5 +3527,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3583,5 +3583,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3640,5 +3640,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3699,5 +3699,5 @@
 
     echo "$ac_t""$USE_NLS" 1>&6
-    
+
 
     USE_INCLUDED_LIBINTL=no
@@ -3939,5 +3939,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4049,5 +4049,5 @@
 
 
-	        
+	
         if test "$CATOBJEXT" = "NONE"; then
 	  	  	  nls_cv_use_gnu_gettext=yes
@@ -4165,5 +4165,5 @@
 fi
 
-        
+
 	USE_INCLUDED_LIBINTL=yes
         CATOBJEXT=.gmo
@@ -4206,16 +4206,16 @@
     done
 
-        
-    
-    
-    
-    
-    
-    
-    
-    
-    
-    
-  
+
+
+
+
+
+
+
+
+
+
+
+
 
    if test "x$CATOBJEXT" != "x"; then
@@ -4246,5 +4246,5 @@
 /* The system does not provide the header <locale.h>.  Take care yourself.  */"
    fi
-   
+
 
             if test -f $srcdir/po2tbl.sed.in; then
@@ -4299,12 +4299,12 @@
      GT_YES="#YES#"
    fi
-   
-   
+
+
 
    MKINSTALLDIRS="\$(srcdir)/../../mkinstalldirs"
-   
+
 
       l=
-   
+
 
             if test -f $srcdir/po/POTFILES.in; then
@@ -4323,5 +4323,5 @@
 	 < $srcdir/po/POTFILES.in > po/POTFILES
    fi
-  
+
 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
@@ -4336,5 +4336,5 @@
 
   echo "$ac_t""$USE_MAINTAINER_MODE" 1>&6
-  
+
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -4346,5 +4346,5 @@
 fi
   MAINT=$MAINTAINER_MODE_TRUE
-  
+
 
 
@@ -4418,5 +4418,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
Index: /trunk/src/binutils/gprof/configure.in
===================================================================
--- /trunk/src/binutils/gprof/configure.in	(revision 841)
+++ /trunk/src/binutils/gprof/configure.in	(revision 842)
@@ -24,5 +24,5 @@
 AC_CHECK_FUNCS(setmode)
 
-ALL_LINGUAS="fr tr sv es id da pt_BR"
+ALL_LINGUAS="fr sv es id da pt_BR"
 CY_GNU_GETTEXT
 
Index: /trunk/src/binutils/ld/configure
===================================================================
--- /trunk/src/binutils/ld/configure	(revision 841)
+++ /trunk/src/binutils/ld/configure	(revision 842)
@@ -2,5 +2,5 @@
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.13 
+# Generated automatically using autoconf version 2.13
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
@@ -852,5 +852,5 @@
 fi
 
-  
+
 
 
@@ -2133,5 +2133,5 @@
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-  
+
      ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -2259,9 +2259,9 @@
 exec 5>>./config.log
 
-  
-
-  
-	 
-	 
+
+
+
+	
+	
 
 # Check whether --with-lib-path or --without-lib-path was given.
@@ -2296,5 +2296,5 @@
 if test "${with_sysroot+set}" = set; then
   withval="$with_sysroot"
-  
+
  case ${with_sysroot} in
  yes) TARGET_SYSTEM_ROOT='${exec_prefix}/${target_alias}/sys-root' ;;
@@ -2323,5 +2323,5 @@
 
 else
-  
+
  use_sysroot=no
  TARGET_SYSTEM_ROOT=
@@ -2663,5 +2663,5 @@
 
 
-ALL_LINGUAS="fr sv tr es da"
+ALL_LINGUAS="fr sv es da"
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
 echo "configure:2668: checking how to run the C preprocessor" >&5
@@ -2953,5 +2953,5 @@
 if test $ac_cv_c_const = no; then
   cat >> confdefs.h <<\EOF
-#define const 
+#define const
 EOF
 
@@ -2989,5 +2989,5 @@
   inline | yes) ;;
   no) cat >> confdefs.h <<\EOF
-#define inline 
+#define inline
 EOF
  ;;
@@ -3333,5 +3333,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3388,5 +3388,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3565,5 +3565,5 @@
 fi
 
-                              
+
    for ac_hdr in argz.h limits.h locale.h nl_types.h malloc.h string.h \
 unistd.h values.h sys/param.h
@@ -3602,5 +3602,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3658,5 +3658,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3715,5 +3715,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3774,5 +3774,5 @@
 
     echo "$ac_t""$USE_NLS" 1>&6
-    
+
 
     USE_INCLUDED_LIBINTL=no
@@ -4014,5 +4014,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4124,5 +4124,5 @@
 
 
-	        
+	
         if test "$CATOBJEXT" = "NONE"; then
 	  	  	  nls_cv_use_gnu_gettext=yes
@@ -4240,5 +4240,5 @@
 fi
 
-        
+
 	USE_INCLUDED_LIBINTL=yes
         CATOBJEXT=.gmo
@@ -4281,16 +4281,16 @@
     done
 
-        
-    
-    
-    
-    
-    
-    
-    
-    
-    
-    
-  
+
+
+
+
+
+
+
+
+
+
+
+
 
    if test "x$CATOBJEXT" != "x"; then
@@ -4321,5 +4321,5 @@
 /* The system does not provide the header <locale.h>.  Take care yourself.  */"
    fi
-   
+
 
             if test -f $srcdir/po2tbl.sed.in; then
@@ -4374,12 +4374,12 @@
      GT_YES="#YES#"
    fi
-   
-   
+
+
 
    MKINSTALLDIRS="\$(srcdir)/../../mkinstalldirs"
-   
+
 
       l=
-   
+
 
             if test -f $srcdir/po/POTFILES.in; then
@@ -4398,5 +4398,5 @@
 	 < $srcdir/po/POTFILES.in > po/POTFILES
    fi
-  
+
 
 
@@ -4661,5 +4661,5 @@
 
   echo "$ac_t""$USE_MAINTAINER_MODE" 1>&6
-  
+
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -4671,5 +4671,5 @@
 fi
   MAINT=$MAINTAINER_MODE_TRUE
-  
+
 
 
@@ -4716,5 +4716,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4771,5 +4771,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
Index: /trunk/src/binutils/ld/configure.in
===================================================================
--- /trunk/src/binutils/ld/configure.in	(revision 841)
+++ /trunk/src/binutils/ld/configure.in	(revision 842)
@@ -102,5 +102,5 @@
 AC_PROG_INSTALL
 
-ALL_LINGUAS="fr sv tr es da"
+ALL_LINGUAS="fr sv es da"
 CY_GNU_GETTEXT
 
Index: /trunk/src/binutils/opcodes/configure
===================================================================
--- /trunk/src/binutils/opcodes/configure	(revision 841)
+++ /trunk/src/binutils/opcodes/configure	(revision 842)
@@ -2,5 +2,5 @@
 
 # Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.13 
+# Generated automatically using autoconf version 2.13
 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
 #
@@ -2219,5 +2219,5 @@
   echo $ac_n "(cached) $ac_c" 1>&6
 else
-  
+
      ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -2345,9 +2345,9 @@
 exec 5>>./config.log
 
-  
-
-  
-	 
-	 
+
+
+
+	
+	
 
 # Check whether --enable-targets or --disable-targets was given.
@@ -2413,5 +2413,5 @@
 
   echo "$ac_t""$USE_MAINTAINER_MODE" 1>&6
-  
+
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -2423,5 +2423,5 @@
 fi
   MAINT=$MAINTAINER_MODE_TRUE
-  
+
 
 echo $ac_n "checking whether to install libbfd""... $ac_c" 1>&6
@@ -2440,5 +2440,5 @@
 
   echo "$ac_t""$install_libbfd_p" 1>&6
-  
+
 
 if test $install_libbfd_p = yes; then
@@ -2456,6 +2456,6 @@
     bfdincludedir='$(exec_prefix)/$(host_alias)/$(target_alias)/include'
   fi
-  
-  
+
+
 
 
@@ -2724,5 +2724,5 @@
 
 
-ALL_LINGUAS="fr sv tr es da de id pt_BR ro"
+ALL_LINGUAS="fr sv es da de id pt_BR ro"
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
 echo "configure:2729: checking how to run the C preprocessor" >&5
@@ -3014,5 +3014,5 @@
 if test $ac_cv_c_const = no; then
   cat >> confdefs.h <<\EOF
-#define const 
+#define const
 EOF
 
@@ -3050,5 +3050,5 @@
   inline | yes) ;;
   no) cat >> confdefs.h <<\EOF
-#define inline 
+#define inline
 EOF
  ;;
@@ -3394,5 +3394,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3449,5 +3449,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3626,5 +3626,5 @@
 fi
 
-                              
+
    for ac_hdr in argz.h limits.h locale.h nl_types.h malloc.h string.h \
 unistd.h values.h sys/param.h
@@ -3663,5 +3663,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3719,5 +3719,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3776,5 +3776,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -3835,5 +3835,5 @@
 
     echo "$ac_t""$USE_NLS" 1>&6
-    
+
 
     USE_INCLUDED_LIBINTL=no
@@ -4075,5 +4075,5 @@
 #define $ac_tr_func 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
@@ -4185,5 +4185,5 @@
 
 
-	        
+	
         if test "$CATOBJEXT" = "NONE"; then
 	  	  	  nls_cv_use_gnu_gettext=yes
@@ -4301,5 +4301,5 @@
 fi
 
-        
+
 	USE_INCLUDED_LIBINTL=yes
         CATOBJEXT=.gmo
@@ -4342,16 +4342,16 @@
     done
 
-        
-    
-    
-    
-    
-    
-    
-    
-    
-    
-    
-  
+
+
+
+
+
+
+
+
+
+
+
+
 
    if test "x$CATOBJEXT" != "x"; then
@@ -4382,5 +4382,5 @@
 /* The system does not provide the header <locale.h>.  Take care yourself.  */"
    fi
-   
+
 
             if test -f $srcdir/po2tbl.sed.in; then
@@ -4435,12 +4435,12 @@
      GT_YES="#YES#"
    fi
-   
-   
+
+
 
    MKINSTALLDIRS="\$(srcdir)/../../mkinstalldirs"
-   
+
 
       l=
-   
+
 
             if test -f $srcdir/po/POTFILES.in; then
@@ -4459,5 +4459,5 @@
 	 < $srcdir/po/POTFILES.in > po/POTFILES
    fi
-  
+
 
 . ${srcdir}/../bfd/configure.host
@@ -4604,5 +4604,5 @@
 #define $ac_tr_hdr 1
 EOF
- 
+
 else
   echo "$ac_t""no" 1>&6
Index: /trunk/src/binutils/opcodes/configure.in
===================================================================
--- /trunk/src/binutils/opcodes/configure.in	(revision 841)
+++ /trunk/src/binutils/opcodes/configure.in	(revision 842)
@@ -79,5 +79,5 @@
 AC_PROG_CC
 
-ALL_LINGUAS="fr sv tr es da de id pt_BR ro"
+ALL_LINGUAS="fr sv es da de id pt_BR ro"
 CY_GNU_GETTEXT
 