Index: trunk/src/advapi32/makefile
===================================================================
--- trunk/src/advapi32/makefile	(revision 843)
+++ trunk/src/advapi32/makefile	(revision 846)
@@ -1,8 +1,8 @@
-# $Id: makefile,v 1.10 1999-08-21 12:29:28 sandervl Exp $
+# $Id: makefile,v 1.11 1999-09-06 01:51:47 bird Exp $
 
 #
 # PD-Win32 API
 #
-#	advapi32.dll makefile
+#       advapi32.dll makefile
 #
 
@@ -10,4 +10,5 @@
 PDWIN32_LIB = ..\..\lib
 PDWIN32_BIN = ..\..\bin
+PDWIN32_TOOLS = ..\..\tools\bin
 
 
@@ -27,13 +28,16 @@
 
 $(TARGET).dll: $(OBJS) $(TARGET).def
-	$(LD) $(LDFLAGS) -Fm -Fe$@ $(OBJS) $(TARGET).def \
+        $(LD) $(LDFLAGS) -Fm -Fe$@ $(OBJS) $(TARGET).def \
               $(PDWIN32_LIB)/kernel32.lib \
               $(PDWIN32_LIB)/odincrt.lib OS2386.LIB $(RTLLIB_O)
-	$(CP) $@ $(PDWIN32_BIN)
+        $(CP) $@ $(PDWIN32_BIN)
 
 
 $(TARGET).lib: $(TARGET)exp.def
-	$(IMPLIB) $(IMPLIBFLAGS) $@ $(TARGET)exp.def
-        $(CP) $@ $(PDWIN32_LIB)
+        $(IMPLIB) $(IMPLIBFLAGS) $@ $(TARGET)exp.def
+    $(CP) $@ $(PDWIN32_LIB)
+
+$(TARGET)exp.def: $(TARGET).def
+        $(IMPDEF) $** $@
 
 
@@ -43,8 +47,6 @@
 
 clean:
-	$(RM) *.obj *.lib *.dll *~ *.map *.pch	
-	$(RM) $(PDWIN32_BIN)\$(TARGET).dll
-	$(RM) $(PDWIN32_LIB)\$(TARGET).lib
-
-
-
+    $(RM) *.obj *.lib *.dll *~ *.map *.pch
+    $(RM) $(PDWIN32_BIN)\$(TARGET).dll
+    $(RM) $(PDWIN32_LIB)\$(TARGET).lib
+    $(RM) $(TARGET)exp.def
Index: trunk/src/gdi32/makefile
===================================================================
--- trunk/src/gdi32/makefile	(revision 843)
+++ trunk/src/gdi32/makefile	(revision 846)
@@ -1,3 +1,3 @@
-# $Id: makefile,v 1.6 1999-08-21 12:29:29 sandervl Exp $
+# $Id: makefile,v 1.7 1999-09-06 01:50:32 bird Exp $
 
 #
@@ -10,4 +10,5 @@
 PDWIN32_LIB = ..\..\lib
 PDWIN32_BIN = ..\..\bin
+PDWIN32_TOOLS = ..\..\tools\bin
 
 
@@ -38,4 +39,7 @@
 	$(CP) $@ $(PDWIN32_LIB)
 
+$(TARGET)exp.def: $(TARGET).def
+    $(IMPDEF) $** $@
+
 
 
@@ -60,7 +64,7 @@
 
 clean:
-	$(RM) *.obj *.lib *.dll *~ *.map *.pch	
+	$(RM) *.obj *.lib *.dll *~ *.map *.pch
 	$(RM) $(PDWIN32_BIN)\$(TARGET).dll
 	$(RM) $(PDWIN32_LIB)\$(TARGET).lib
+    $(RM) $(TARGET)exp.def
 
-
Index: trunk/src/kernel32/makefile
===================================================================
--- trunk/src/kernel32/makefile	(revision 843)
+++ trunk/src/kernel32/makefile	(revision 846)
@@ -1,3 +1,3 @@
-# $Id: makefile,v 1.38 1999-09-04 12:41:46 sandervl Exp $
+# $Id: makefile,v 1.39 1999-09-06 01:48:42 bird Exp $
 
 #
@@ -10,4 +10,5 @@
 PDWIN32_LIB = ..\..\lib
 PDWIN32_BIN = ..\..\bin
+PDWIN32_TOOLS = ..\..\tools\bin
 
 
@@ -54,11 +55,11 @@
 $(TARGET).lrf: makefile
         @echo Creating file <<$(@B).lrf
-$(OBJS) 
-$(PDWIN32_LIB)\PMWINX.LIB 
-$(PDWIN32_LIB)\LIBULS.LIB 
-$(PDWIN32_LIB)\LIBCONV.LIB 
-$(PDWIN32_LIB)\odincrt.lib 
-OS2386.LIB 
-$(RTLLIB_O) 
+$(OBJS)
+$(PDWIN32_LIB)\PMWINX.LIB
+$(PDWIN32_LIB)\LIBULS.LIB
+$(PDWIN32_LIB)\LIBCONV.LIB
+$(PDWIN32_LIB)\odincrt.lib
+OS2386.LIB
+$(RTLLIB_O)
 $(TARGET).def
 <<keep
@@ -67,4 +68,7 @@
         $(IMPLIB) $(IMPLIBFLAGS) $@ $(TARGET)exp.def
         $(CP) $@ $(PDWIN32_LIB)
+
+$(TARGET)exp.def: $(TARGET).def
+        $(IMPDEF) $** $@
 
 $(PDWIN32_LIB)\pmwinx.lib:
@@ -221,5 +225,5 @@
 lfile.OBJ: \
     .\lfile.cpp \
-    $(PDWIN32_INCLUDE)\wprocess.h 
+    $(PDWIN32_INCLUDE)\wprocess.h
 
 obsolete.OBJ: \
@@ -328,5 +332,5 @@
 
 virtual.obj:   virtual.cpp $(PDWIN32_INCLUDE)\win\virtual.h $(PDWIN32_INCLUDE)\handlemanager.h mmap.h
-mmap.obj:      mmap.cpp mmap.h $(PDWIN32_INCLUDE)\vmutex.h oslibdos.h 
+mmap.obj:      mmap.cpp mmap.h $(PDWIN32_INCLUDE)\vmutex.h oslibdos.h
 
 pefile.OBJ:    pefile.cpp $(PDWIN32_INCLUDE)\pefile.h
@@ -353,4 +357,3 @@
         $(RM) $(PDWIN32_LIB)\$(TARGET).LIB
         $(RM) $(PDWIN32_BIN)\$(TARGET).dll
-
-
+        $(RM) $(TARGET)exp.def
Index: trunk/src/user32/Makefile
===================================================================
--- trunk/src/user32/Makefile	(revision 843)
+++ trunk/src/user32/Makefile	(revision 846)
@@ -1,3 +1,3 @@
-# $Id: Makefile,v 1.15 1999-08-21 12:29:31 sandervl Exp $
+# $Id: Makefile,v 1.16 1999-09-06 01:49:54 bird Exp $
 
 #
@@ -10,4 +10,5 @@
 PDWIN32_LIB = ..\..\lib
 PDWIN32_BIN = ..\..\bin
+PDWIN32_TOOLS = ..\..\tools\bin
 
 
@@ -43,4 +44,6 @@
         $(CP) $@ $(PDWIN32_LIB)
 
+$(TARGET)exp.def: $(TARGET).def
+        $(IMPDEF) $** $@
 
 user32.obj: user32.cpp $(PDWIN32_INCLUDE)\wndproc.h \
@@ -58,5 +61,5 @@
 dde.obj: dde.cpp
 hook.obj: hook.cpp hooks.h
-defwndproc.obj: defwndproc.cpp syscolor.h $(PDWIN32_INCLUDE)\wndproc.h 
+defwndproc.obj: defwndproc.cpp syscolor.h $(PDWIN32_INCLUDE)\wndproc.h
 hooks.obj: hooks.cpp hooks.h
 dlgconvert.obj: dlgconvert.cpp \
@@ -81,2 +84,3 @@
         $(RM) $(PDWIN32_BIN)\$(TARGET).dll
         $(RM) $(PDWIN32_LIB)\$(TARGET).lib
+        $(RM) $(TARGET)exp.def
Index: trunk/src/user32/new/makefile
===================================================================
--- trunk/src/user32/new/makefile	(revision 843)
+++ trunk/src/user32/new/makefile	(revision 846)
@@ -1,3 +1,3 @@
-# $Id: makefile,v 1.45 1999-09-05 15:53:08 sandervl Exp $
+# $Id: makefile,v 1.46 1999-09-06 01:56:21 bird Exp $
 
 #
@@ -10,4 +10,5 @@
 PDWIN32_LIB = ..\..\..\lib
 PDWIN32_BIN = ..\..\..\bin
+PDWIN32_TOOLS = ..\..\..\tools\bin
 
 
@@ -53,4 +54,7 @@
         $(IMPLIB) $(IMPLIBFLAGS) $@ $(TARGET)exp.def
         $(CP) $@ $(PDWIN32_LIB)
+
+$(TARGET)exp.def: $(TARGET).def
+        $(IMPDEF) $** $@
 
 
@@ -101,5 +105,5 @@
 pmwindow.obj:   pmwindow.cpp win32class.h win32wbase.h win32dlg.h pmwindow.h win32wndchild.h $(PDWIN32_INCLUDE)\wprocess.h oslibgdi.h oslibwin.h
 win32class.obj: win32class.cpp win32class.h win32wbase.h win32dlg.h gen_object.h heapshared.h oslibwin.h win32wndchild.h
-win32wbase.obj:   win32wbase.cpp win32class.h win32wbase.h win32dlg.h gen_object.h heapshared.h oslibwin.h win32wndchild.h  $(PDWIN32_INCLUDE)\winres.h oslibres.h win32wndhandle.h oslibdos.h 
+win32wbase.obj:   win32wbase.cpp win32class.h win32wbase.h win32dlg.h gen_object.h heapshared.h oslibwin.h win32wndchild.h  $(PDWIN32_INCLUDE)\winres.h oslibres.h win32wndhandle.h oslibdos.h
 win32wnd.obj:   win32wnd.cpp win32class.h win32wbase.h win32wnd.h win32dlg.h gen_object.h heapshared.h oslibwin.h win32wndchild.h  $(PDWIN32_INCLUDE)\winres.h oslibres.h win32wndhandle.h oslibdos.h oslibmenu.h
 win32dlg.obj:   win32dlg.cpp win32class.h win32wbase.h win32dlg.h gen_object.h heapshared.h oslibwin.h win32wndchild.h oslibmsg.h
@@ -125,2 +129,3 @@
         $(RM) $(PDWIN32_BIN)\$(TARGET).dll
         $(RM) $(PDWIN32_LIB)\$(TARGET).lib
+        $(RM) $(TARGET)exp.def