Index: /branches/ticket_150/dll/dircnrs.c
===================================================================
--- /branches/ticket_150/dll/dircnrs.c	(revision 868)
+++ /branches/ticket_150/dll/dircnrs.c	(revision 869)
@@ -1419,7 +1419,11 @@
 
 	CNRINFO cnri;
+//         static int i = 0;
+//             FILE * f = fopen("e:\\dev\\netlabs\\fm2\\trunk\\jbsdebug.log", "a");
+//             fprintf(f, "UM_SETUP Dir: %s; Count: %d Details: %d %d %d %d\n", dcd->directory, ++i, (int)dcd->detailscrdate, (int)dcd->detailscrtime, (int)dcd->detailsladate, (int)dcd->detailsladate);
+//             fclose(f);
 
 	RestorePresParams(hwnd, "DirCnr");
-	LoadDetailsSwitches("DirCnr", dcd);
+//	LoadDetailsSwitches("DirCnr", dcd);
 	memset(&cnri, 0, sizeof(CNRINFO));
 	cnri.cb = sizeof(CNRINFO);
@@ -1478,5 +1482,5 @@
 			      CMA_CXTREEINDENT | CMA_PSORTRECORD));
 	SetCnrCols(hwnd, FALSE);
-	AdjustCnrColsForPref(hwnd, NULL, dcd, FALSE);
+//	AdjustCnrColsForPref(hwnd, NULL, dcd, FALSE);
 	if (_beginthread(MakeObjWin, NULL, 245760, (PVOID) dcd) == -1) {
 	  Runtime_Error(pszSrcFile, __LINE__,
@@ -1495,4 +1499,15 @@
       SayView(WinWindowFromID(WinQueryWindow(hwnd, QW_PARENT),
 			      DIR_VIEW), dcd->flWindowAttr);
+    }
+    else {
+      PostMsg(hwnd, WM_CLOSE, MPVOID, MPVOID);
+      return 0;
+    }
+    return 0;
+
+  case UM_SETUP2:
+    if (dcd)
+    {
+      AdjustCnrColsForPref(hwnd, NULL, dcd, FALSE);
     }
     else {
@@ -2135,5 +2150,6 @@
 			      dcd->hwndLastMenu,
 			      SHORT1FROMMP(mp1),
-			      dcd->directory, "DirCnr", dcd, FALSE);
+//			      dcd->directory, "DirCnr", dcd, FALSE);
+			      dcd->directory, NULL, dcd, FALSE);
 	break;
 
@@ -3394,4 +3410,16 @@
 	dcd->hwndRestore = hwndRestore;
 	dcd->dontclose = ((flags & 1) != 0);
+        dcd->detailslongname = detailslongname;
+        dcd->detailssubject = detailssubject;
+        dcd->detailsea = detailsea;
+        dcd->detailssize = detailssize;
+        dcd->detailsicon = detailsicon;
+        dcd->detailsattr = detailsattr;
+        dcd->detailscrdate = detailscrdate;
+        dcd->detailscrtime = detailscrtime;
+        dcd->detailslwdate = detailslwdate;
+        dcd->detailslwtime = detailslwtime;
+        dcd->detailsladate = detailsladate;
+        dcd->detailslatime = detailslatime;
 	strcpy(dcd->directory, directory);
 	add_udir(FALSE, directory);
Index: /branches/ticket_150/dll/mainwnd.c
===================================================================
--- /branches/ticket_150/dll/mainwnd.c	(revision 868)
+++ /branches/ticket_150/dll/mainwnd.c	(revision 869)
@@ -44,4 +44,9 @@
 
 ***********************************************************************/
+
+// #define FM2_STATE_AT_CLOSE GetPString(IDS_FM2TEMPTEXT)
+#define FM2_STATE_AT_CLOSE "StateAtFM2Close"
+//#define JBSDBG size = 1; //
+#define JBSDBG
 
 #define INCL_DOS
@@ -2820,4 +2825,40 @@
 	      PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & flWindowAttr,
 				  sizeof(ULONG));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsLongname", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailslongname,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsSubject", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailssubject,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsSize", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailssize,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsEA", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailsea,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsAttr", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailsattr,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsIcon", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailsicon,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsLWDate", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailslwdate,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsLWTime", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailslwtime,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsLADate", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailsladate,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsLATime", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailslatime,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsCRDate", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailscrdate,
+                                  sizeof(BOOL));
+              sprintf(szKey, "%sDirCnr.%lu.DetailsCRTime", szPrefix, numsaves);
+              PrfWriteProfileData(fmprof, FM3Str, szKey, (PVOID) & dcd->detailscrtime,
+                                  sizeof(BOOL));
 	    }
 	    sprintf(szKey, "%sDirCnrDir.%lu", szPrefix, numsaves++);
@@ -2898,4 +2939,5 @@
   BOOL fRestored = FALSE;
   DIRCNRDATA *dcd;
+  DIRCNRDATA localdcd;
 
   if (!pszStateName)
@@ -2979,4 +3021,151 @@
 	    continue;
 	  }
+// test code
+
+                localdcd.detailslongname = detailslongname;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsLongname", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailslongname,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailssubject = detailssubject;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsSubject", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailssubject,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailsea = detailsea;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsEA", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailsea,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailssize = detailssize;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsSize", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailssize,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailsicon = detailsicon;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsIcon", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailsicon,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailsattr = detailsattr;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsAttr", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailsattr,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailscrdate = detailscrdate;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsCRDate", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailscrdate,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailscrtime = detailscrtime;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsCRTime", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailscrtime,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailslwdate = detailslwdate;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsLWDate", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailslwdate,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailslwtime = detailslwtime;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsLWTime", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailslwtime,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailsladate = detailsladate;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsLADate", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailsladate,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+                localdcd.detailslatime = detailslatime;  // Set default
+                size = sizeof(BOOL);
+                sprintf(szKey, "%sDirCnr.%lu.DetailsLATime", szPrefix, x);
+                if (PrfQueryProfileData(fmprof,
+                                        FM3Str,
+                                        szKey,
+                                        (PVOID) & localdcd.detailslatime,
+                                        &size) && size == sizeof(BOOL))
+                                        {
+                                          if (!pszStateName || !strcmp(pszStateName, FM2_STATE_AT_CLOSE))
+                                            JBSDBG PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                                        }
+
 	  hwndDir = (HWND) WinSendMsg(hwndClient,
 				      UM_SETDIR,
@@ -2985,7 +3174,19 @@
 	    hwndC = WinWindowFromID(hwndDir, FID_CLIENT);
 	    if (hwndC) {
-	      dcd = WinQueryWindowPtr(WinWindowFromID(hwndC, DIR_CNR),
-				      QWL_USER);
+              HWND hwndCnr = WinWindowFromID(hwndC, DIR_CNR);
+              dcd = WinQueryWindowPtr(hwndCnr, QWL_USER);
 	      if (dcd) {
+                dcd->detailslongname = localdcd.detailslongname;
+                dcd->detailssubject  = localdcd.detailssubject ;
+                dcd->detailsattr     = localdcd.detailsattr    ;
+                dcd->detailsea       = localdcd.detailsea      ;
+                dcd->detailssize     = localdcd.detailssize    ;
+                dcd->detailsicon     = localdcd.detailsicon    ;
+                dcd->detailscrdate   = localdcd.detailscrdate  ;
+                dcd->detailscrtime   = localdcd.detailscrtime  ;
+                dcd->detailsladate   = localdcd.detailsladate  ;
+                dcd->detailslatime   = localdcd.detailslatime  ;
+                dcd->detailslwdate   = localdcd.detailslwdate  ;
+                dcd->detailslwtime   = localdcd.detailslwtime  ;
 		size = sizeof(INT);
 		sprintf(szKey, "%sDirCnrSort.%lu", szPrefix, x);
@@ -3040,4 +3241,6 @@
 		if (!pszStateName || !strcmp(pszStateName, GetPString(IDS_FM2TEMPTEXT)))
 		  PrfWriteProfileData(fmprof, FM3Str, szKey, NULL, 0L);
+                if (!PostMsg(hwndCnr, UM_SETUP2, NULL, NULL))
+                  WinSendMsg(hwndCnr, UM_SETUP2, NULL, NULL);
 	      }
 	    }
@@ -4367,4 +4570,26 @@
 	      sprintf(s, "%s.DirCnrView.%lu", szStateName, x);
 	      PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsLongname", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsSubject", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsSize", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsEA", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsAttr", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsLWDate", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsLWTime", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsLADate", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsLATime", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsCRDate", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
+              sprintf(s, "%s.DirCnr.%lu.DetailsCRTime", szStateName, x);
+              PrfWriteProfileData(fmprof, FM3Str, s, NULL, 0);
 	    }
 	    sprintf(s, "%s.LastTreePos", szStateName);
@@ -5358,5 +5583,6 @@
     /* start remaining child windows */
     if (!fNoSaveState && fSaveState)
-      PostMsg(MainObjectHwnd, UM_RESTORE, MPVOID, MPVOID);
+//    PostMsg(MainObjectHwnd, UM_RESTORE, MPVOID, MPVOID);
+      PostMsg(MainObjectHwnd, UM_RESTORE, MPFROMP(FM2_STATE_AT_CLOSE), MPVOID);
     PostMsg(MainObjectHwnd, UM_SETUP4, mp1, mp2);
     return 0;
@@ -5498,6 +5724,7 @@
 			  "MainWindowPos", WinQueryWindow(hwnd, QW_PARENT));
 	if (!fNoSaveState && fSaveState)
-	  SaveDirCnrState(hwnd, NULL);
-      }
+//        SaveDirCnrState(hwnd, NULL);
+          SaveDirCnrState(hwnd, FM2_STATE_AT_CLOSE);
+}
     }
     break;
Index: /branches/ticket_150/dll/misc.c
===================================================================
--- /branches/ticket_150/dll/misc.c	(revision 868)
+++ /branches/ticket_150/dll/misc.c	(revision 869)
@@ -999,61 +999,61 @@
 			   DIRCNRDATA * dcd, BOOL compare)
 {
-  CHAR s[CCHMAXPATH], *eos = s;
-  BOOL *bool = NULL;
-
-  *s = 0;
-  if (keyroot) {
-    strcpy(s, keyroot);
-    strcat(s, ".");
-    eos = &s[strlen(s)];
-  }
+//   CHAR s[CCHMAXPATH], *eos = s;
+   BOOL *bool = NULL;
+
+//   *s = 0;
+//   if (keyroot) {
+//     strcpy(s, keyroot);
+//     strcat(s, ".");
+//     eos = &s[strlen(s)];
+//   }
   switch (cmd) {
   case IDM_SHOWLNAMES:
     bool = dcd ? &dcd->detailslongname : &detailslongname;
-    strcpy(eos, "DetailsLongname");
+//     strcpy(eos, "DetailsLongname");
     break;
   case IDM_SHOWSUBJECT:
     bool = dcd ? &dcd->detailssubject : &detailssubject;
-    strcpy(eos, "DetailsSubject");
+//     strcpy(eos, "DetailsSubject");
     break;
   case IDM_SHOWEAS:
     bool = dcd ? &dcd->detailsea : &detailsea;
-    strcpy(eos, "DetailsEA");
+//     strcpy(eos, "DetailsEA");
     break;
   case IDM_SHOWSIZE:
     bool = dcd ? &dcd->detailssize : &detailssize;
-    strcpy(eos, "DetailsSize");
+//     strcpy(eos, "DetailsSize");
     break;
   case IDM_SHOWICON:
     bool = dcd ? &dcd->detailsicon : &detailsicon;
-    strcpy(eos, "DetailsIcon");
+//     strcpy(eos, "DetailsIcon");
     break;
   case IDM_SHOWLWDATE:
     bool = dcd ? &dcd->detailslwdate : &detailslwdate;
-    strcpy(eos, "DetailsLWDate");
+//     strcpy(eos, "DetailsLWDate");
     break;
   case IDM_SHOWLWTIME:
     bool = dcd ? &dcd->detailslwtime : &detailslwtime;
-    strcpy(eos, "DetailsLWTime");
+//     strcpy(eos, "DetailsLWTime");
     break;
   case IDM_SHOWLADATE:
     bool = dcd ? &dcd->detailsladate : &detailsladate;
-    strcpy(eos, "DetailsLADate");
+//     strcpy(eos, "DetailsLADate");
     break;
   case IDM_SHOWLATIME:
     bool = dcd ? &dcd->detailslatime : &detailslatime;
-    strcpy(eos, "DetailsLATime");
+//     strcpy(eos, "DetailsLATime");
     break;
   case IDM_SHOWCRDATE:
     bool = dcd ? &dcd->detailscrdate : &detailscrdate;
-    strcpy(eos, "DetailsCRDate");
+//     strcpy(eos, "DetailsCRDate");
     break;
   case IDM_SHOWCRTIME:
     bool = dcd ? &dcd->detailscrtime : &detailscrtime;
-    strcpy(eos, "DetailsCRTime");
+//     strcpy(eos, "DetailsCRTime");
     break;
   case IDM_SHOWATTR:
     bool = dcd ? &dcd->detailsattr : &detailsattr;
-    strcpy(eos, "DetailsAttr");
+//     strcpy(eos, "DetailsAttr");
     break;
   default:
@@ -1064,6 +1064,6 @@
   if (bool)
     *bool = *bool ? FALSE : TRUE;
-  if (*s && bool)
-    PrfWriteProfileData(fmprof, appname, s, bool, sizeof(BOOL));
+//   if (*s && bool)
+//     PrfWriteProfileData(fmprof, appname, s, bool, sizeof(BOOL));
   if (hwnd)
     AdjustCnrColsForPref(hwnd, directory, dcd, compare);
@@ -1209,4 +1209,19 @@
     strcat(s, ".");
     eos = &s[strlen(s)];
+  } else
+  {
+     dcd->detailslongname = detailslongname;
+     dcd->detailssubject = detailssubject;
+     dcd->detailsea = detailsea;
+     dcd->detailssize = detailssize;
+     dcd->detailsicon = detailsicon;
+     dcd->detailsattr = detailsattr;
+     dcd->detailscrdate = detailscrdate;
+     dcd->detailscrtime = detailscrtime;
+     dcd->detailslwdate = detailslwdate;
+     dcd->detailslwtime = detailslwtime;
+     dcd->detailsladate = detailsladate;
+     dcd->detailslatime = detailslatime;
+     return;
   }
   strcpy(eos, "DetailsLongname");
Index: /branches/ticket_150/dll/notebook.c
===================================================================
--- /branches/ticket_150/dll/notebook.c	(revision 868)
+++ /branches/ticket_150/dll/notebook.c	(revision 869)
@@ -1472,61 +1472,61 @@
     PrfWriteProfileData(fmprof, appname, "DetailsLongname",
 			&detailslongname, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLongname",
-			&detailslongname, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLongname",
+// 			&detailslongname, sizeof(BOOL));
     detailssubject = WinQueryButtonCheckstate(hwnd, CFG5_SHOWSUBJECT);
     PrfWriteProfileData(fmprof, appname, "DetailsSubject",
 			&detailssubject, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSubject",
-			&detailssubject, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSubject",
+// 			&detailssubject, sizeof(BOOL));
     detailsea = WinQueryButtonCheckstate(hwnd, CFG5_SHOWEAS);
     PrfWriteProfileData(fmprof, appname, "DetailsEA",
 			&detailsea, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsEA",
-			&detailsea, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsEA",
+//			&detailsea, sizeof(BOOL));
     detailssize = WinQueryButtonCheckstate(hwnd, CFG5_SHOWSIZE);
     PrfWriteProfileData(fmprof, appname, "DetailsSize",
 			&detailssize, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSize",
-			&detailssize, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSize",
+// 			&detailssize, sizeof(BOOL));
     detailsicon = WinQueryButtonCheckstate(hwnd, CFG5_SHOWICON);
     PrfWriteProfileData(fmprof, appname, "DetailsIcon",
 			&detailsicon, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsIcon",
-			&detailsicon, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsIcon",
+// 			&detailsicon, sizeof(BOOL));
     detailslwdate = WinQueryButtonCheckstate(hwnd, CFG5_SHOWLWDATE);
     PrfWriteProfileData(fmprof, appname, "DetailsLWDate",
 			&detailslwdate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWDate",
-			&detailslwdate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWDate",
+// 			&detailslwdate, sizeof(BOOL));
     detailslwtime = WinQueryButtonCheckstate(hwnd, CFG5_SHOWLWTIME);
     PrfWriteProfileData(fmprof, appname, "DetailsLWTime",
 			&detailslwtime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWTime",
-			&detailslwtime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWTime",
+// 			&detailslwtime, sizeof(BOOL));
     detailsladate = WinQueryButtonCheckstate(hwnd, CFG5_SHOWLADATE);
     PrfWriteProfileData(fmprof, appname, "DetailsLADate",
 			&detailsladate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLADate",
-			&detailsladate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLADate",
+// 			&detailsladate, sizeof(BOOL));
     detailslatime = WinQueryButtonCheckstate(hwnd, CFG5_SHOWLATIME);
     PrfWriteProfileData(fmprof, appname, "DetailsLATime",
 			&detailslatime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLATime",
-			&detailslatime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLATime",
+// 			&detailslatime, sizeof(BOOL));
     detailscrdate = WinQueryButtonCheckstate(hwnd, CFG5_SHOWCRDATE);
     PrfWriteProfileData(fmprof, appname, "DetailsCRDate",
 			&detailscrdate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRDate",
-			&detailscrdate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRDate",
+// 			&detailscrdate, sizeof(BOOL));
     detailscrtime = WinQueryButtonCheckstate(hwnd, CFG5_SHOWCRTIME);
     PrfWriteProfileData(fmprof, appname, "DetailsCRTime",
 			&detailscrtime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRTime",
-			&detailscrtime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRTime",
+// 			&detailscrtime, sizeof(BOOL));
     detailsattr = WinQueryButtonCheckstate(hwnd, CFG5_SHOWATTR);
     PrfWriteProfileData(fmprof, appname, "DetailsAttr",
 			&detailsattr, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsAttr",
-                        &detailsattr, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsAttr",
+//                         &detailsattr, sizeof(BOOL));
     fSubjectInLeftPane = WinQueryButtonCheckstate(hwnd, CFG5_SUBJECTINLEFTPANE);
     PrfWriteProfileData(fmprof, appname, "SubjectInLeftPane",
@@ -2627,50 +2627,50 @@
     PrfWriteProfileData(fmprof, appname, "DetailsLongname",
 			&detailslongname, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLongname",
-			&detailslongname, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLongname",
+// 			&detailslongname, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsSubject",
 			&detailssubject, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSubject",
-			&detailssubject, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSubject",
+// 			&detailssubject, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsEA",
 			&detailsea, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsEA",
-			&detailsea, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsEA",
+// 			&detailsea, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsSize",
 			&detailssize, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSize",
-			&detailssize, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsSize",
+// 			&detailssize, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsIcon",
 			&detailsicon, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsIcon",
-			&detailsicon, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsIcon",
+// 			&detailsicon, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsLWDate",
 			&detailslwdate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWDate",
-			&detailslwdate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWDate",
+// 			&detailslwdate, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsLWTime",
 			&detailslwtime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWTime",
-			&detailslwtime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLWTime",
+// 			&detailslwtime, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsLADate",
 			&detailsladate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLADate",
-			&detailsladate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLADate",
+// 			&detailsladate, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsLATime",
 			&detailslatime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLATime",
-			&detailslatime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsLATime",
+// 			&detailslatime, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsCRDate",
 			&detailscrdate, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRDate",
-			&detailscrdate, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRDate",
+// 			&detailscrdate, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsCRTime",
 			&detailscrtime, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRTime",
-			&detailscrtime, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsCRTime",
+// 			&detailscrtime, sizeof(BOOL));
     PrfWriteProfileData(fmprof, appname, "DetailsAttr",
 			&detailsattr, sizeof(BOOL));
-    PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsAttr",
-			&detailsattr, sizeof(BOOL));
+//     PrfWriteProfileData(fmprof, appname, "DirCnr.DetailsAttr",
+// 			&detailsattr, sizeof(BOOL));
     if (hwndMain) {
       if (SaveDirCnrState(hwndMain, GetPString(IDS_FM2TEMPTEXT)) > 0) {