Index: trunk/client/src/help/ndpsmb.ipf
===================================================================
--- trunk/client/src/help/ndpsmb.ipf	(revision 887)
+++ trunk/client/src/help/ndpsmb.ipf	(revision 890)
@@ -17,19 +17,19 @@
 :h1.Introduction
 :p.
-Samba is a SMB/CIFS protocols file and print sharing server/client suite originaly
-made for the UNIX world to cooperate with corresponding Windows and &os. servers or
-clients. &os. has a native implementation of SMB/CIFS server/client set - IBM LAN
-Manager and IBM Peer. These products haven&csq.t been updated for a long time and
+Samba is an SMB/CIFS protocol file and print sharing client/server suite originally
+created for the UNIX world in order to access Windows and &os. servers and
+clients. &os. has several native implementations of SMB/CIFS client/server set - :hp1.IBM Peer:ehp1. (or :hp1.IBM LAN Requester:ehp1.,
+or :hp1.IBM File and Print Client:ehp1.) and :hp1.IBM LAN Manager:ehp1.. These products haven&csq.t been updated for a long time and
 have some compatibility problems with modern Windows SMB/CIFS implementations.
 :p.
-This package is the &os. port of Samba client made as the plugin for&colon.
+This package is the &os. port of the Samba client implemented as a plugin for&colon.
 :ul.
 :li.&nd. - a well known virtual file system for &os.
 :li.EVFS - the eComStation Virtual Filesystem for SMB
 :eul.:p.
-&os. Samba client provides seamless access to SMB/CIFS file shares over your network using TCP/IP as the
-underlying transport protocol.
-:p.
-The &os. Samba client consists of one module&colon.
+The Samba Client Plugin for &os. provides seamless access to SMB/CIFS file shares over the network using pure TCP/IP as the
+underlying transport protocol (no NetBIOS or NetBIOS over TCP/IP).
+:p.
+The Samba Client Plugin for &os. consists of one module&colon.
 :ul.
 :li.ndpsmb.dll - the <$ND> plugin itself
@@ -42,17 +42,17 @@
 :h1.License
 :p.
-Samba is freely available under the GNU General Public License. You can get
-the full sourcecode from our SVN repository, please refer to the Samba for &os. Homepage for details about downloading the source.
-:p.
-The <$ND> plugin for &os. is also available with full sourcecode.
-:p.
-So if you are using our plugin we kindly ask you to support netlabs.org.
-Please refer to the Samba for &os. Homepage to learn how you can do
-that!
+Samba is freely available under the GNU General Public License v3. You may obtain the full source code either from the
+project&csq.s SVN repository (please refer to the Samba for &os. homepage for details about downloading the source) or from
+the Samba homepage (see :link reftype=hd res=003.Links:elink.).
+:p.
+The Samba Client Plugin for &os. is also available with full source code from the Samba for &os. SVN repository.
+:p.
+If you are using this plugin, we kindly ask you to support netlabs.org.
+Please refer to the Samba for &os. homepage to learn how you may do that.
 :h2 res=003.Links
 :p.
 :ul.
 :li.Samba for &os. Homepage (http&colon.&slr.&slr.svn.netlabs.org&slr.samba)
-:li.<$ND> Homepage (http&colon.&slr.&slr.www.blueprintsoftwareworks.com&slr.netdrive)
+:li.<$ND> Homepage (http&colon.&slr.&slr.www.bmtmicro.com&slr.netdrive)
 :li.Samba Homepage (http&colon.&slr.&slr.www.samba.org)
 :eul.
@@ -66,38 +66,68 @@
 :h2 res=100.&ressmb.
 :p.
-The parameters of a SMB/CIFS FS resource are&colon.
+The parameters for an SMB/CIFS FS resource are&colon.
 :parml.
-:pt.Workgroup
-:pd.The name of workgroup to connect to.
-
-:pt.Server
-:pd.The name or IP address of server to connect to.
-
-:pt.Share
-:pd.The name of server resource (share) to connect to.
-
-:pt.User
-:pd.The name of user to login under.
-
-:pt.Password
-:pd.The password of selected user.
-
-:pt.Master
-:pd.the name of 'master' server or workgroup, used to get the list of workgroups when the concrete workgroup and server not specified.
-
-:pt.Mastertype
-:pd.0 if 'master' is the name of master server, 1 if 'master' is the name of master workgroup.
-
-:pt.Cache timeout
-:pd.The time in seconds for which the cache is valid. If the time is over the client rereads the directory again. For a directory with many
-files it may be better to increase the timeout (rule of thumb: per 500-800 files 10 seconds). Default: 10 seconds
-
-:pt.Cache listings
-:pd.The amount of directories the cache should hold. Be aware the higher the value the more memory is used. Default: 32 listings
-
-:pt.EA Support
-:pd.1 to support <$OS> Extended Attributes, 0 to not support it.
-
-:pt.r/w
+:pt.:hp2.Workgroup/Domain:ehp2.
+:pd.The name of the workgroup or domain of the server.
+:warning text='Default:'.
+:hp1.blank:ehp1.
+:ewarning.
+
+:pt.:hp2.Server:ehp2.
+:pd.The name or IP address of the server hosting the resource (share).
+:warning text='Default:'.
+:hp1.blank:ehp1.
+:ewarning.
+
+:pt.:hp2.Share:ehp2.
+:pd.The name of the desired server resource (share).
+:warning text='Default:'.
+:hp1.blank:ehp1.
+:ewarning.
+
+:pt.:hp2.User ID:ehp2.
+:pd.The username for authentication.
+:warning text='Default:'.
+:hp1.guest:ehp1.
+:ewarning.
+
+:pt.:hp2.Password:ehp2.
+:pd.The password of the selected user.
+:warning text='Default:'.
+:hp1.blank:ehp1.
+:ewarning.
+
+:pt.:hp2.Master:ehp2.
+:pd.The name of the browse master server or workgroup, used to get the list of available workgroups when the workgroup and server have not been specified.
+:warning text='Default:'.
+:hp1.WORKGROUP:ehp1.
+:ewarning.
+
+:pt.:hp2.Master type:ehp2.
+:pd.Select :hp2.server:ehp2. or :hp2.workgroup:ehp2. to identify the type of master selected.
+:warning text='Default:'.
+:hp1.workgroup:ehp1.
+:ewarning.
+
+:pt.:hp2.Cache timeout:ehp2.
+:pd.The time in seconds for which the cache is valid. Once the timeout is reached, the client re-reads the directory. For a directory with many
+files, it may be better to increase the timeout (rule of thumb: per 500-800 files 10 seconds).
+:warning text='Default:'.
+:hp1.10 seconds:ehp1.
+:ewarning.
+
+:pt.:hp2.Cache listings:ehp2.
+:pd.The number of directories the cache should hold. Be aware that the higher the value, the more memory consumed.
+:warning text='Default:'.
+:hp1.32 directories:ehp1.
+:ewarning.
+
+:pt.:hp2.Supports EA:ehp2.
+:pd.Check to support <$OS> Extended Attributes in the target filesystem (and by the target server).
+:warning text='Default:'.
+:hp1.checked:ehp1.
+:ewarning.
+
+:pt.:hp2.r/w:ehp2.
 :pd.define whether the resource should be read-only (r) or writeable (w).
 :eparml.
@@ -105,27 +135,27 @@
 :h2 res=101.&usage.
 :p.
-To mount the exact server&csq.s share one need to specify both &csq.server&csq. and
-&csq.share&csq. parameters, the other parameters are optional. The root path of
-server&csq.s share will be mounted to the mounting path.
-:p.
-If one want to access all server shares, then only the &csq.server&csq., not the &csq.share&csq.
-parameter, should be specified,the other parameters are optional. The list of
-server shares will be mounted to the mounting path.
-:p.
-If one want to access all servers within the workgroup, then only the &csq.workgroup&csq.,
-not the &csq.server&csq. parameter, should be specified, the other parameters are
-optional. The list of servers within the specified workgroup will be mounted to
-the mounting path.
-:p.
-If one want to access all available workgroups within one master browser
-within the network, then only the &csq.master&csq., not the &csq.workgroup&csq. nor the &csq.server&csq. parameter,
-should be specified, the other parameters are optional. The list of workgroups
-will be mounted to the mounting path. The &csq.master&csq. workgroup can be any known
-workgroup in the net. The &csq.master&csq. server should be the master browser for
-workgroup[s].
-:p.
-By default the &csq.guest&csq. user with blank password is used to access selected
-resources. If you get access denied errors, try to specify another user and
-password combination.
+To mount a specified share, it is necessary to specify both the :hp2.Server:ehp2. and
+:hp2.Share:ehp2. parameters&semi. the other parameters are optional. The root of the 
+server&csq.s share will be mounted to the &mp..
+:p.
+To access all server shares, only the :hp2.Server:ehp2. (not the :hp2.Share:ehp2.) 
+should be specified&semi. the other parameters are optional. The list of
+server shares will be mounted to the &mp..
+:p.
+To access all servers within the workgroup or domain, only the :hp2.Workgroup:ehp2.
+(not the :hp2.Server:ehp2.) should be specified&semi. the other parameters are
+optional. The list of servers within the specified workgroup or domain will be mounted to
+the &mp..
+:p.
+To access all available workgroups listed by one master browser
+on the network, only the :hp2.Master:ehp2. (not the :hp2.Workgroup:ehp2. nor the :hp2.Server:ehp2.) 
+should be specified&semi. the other parameters are optional. The list of workgroups
+will be mounted to the &mp.. The master workgroup can be any known (reachable)
+workgroup on the network. The master server should be the master browser for the
+workgroup(s).
+:p.
+By default, the :hp1.guest:ehp1. user with blank password is used to access the selected
+resource. If guest logins are not permitted by the server, you will likely see &csq.access denied&csq.
+errors. Specify an actual username and password combination.
 
 .******************************************************
@@ -135,13 +165,13 @@
 :h1.Debugging
 :p.
-To produce a logfile please add an empty file called ndpsmb.dbg into the root drive.
-:p.
-The logfile is placed to your LOGFILES env path, if available. If the LOGFILES env is missing
-the logfile is placed into the &nd. directory. The logfile is called log.ndpsmb for the &nd. part and
-log.smbd for the Samba part.
+To produce a log file, please create an empty file named :hp1.ndpsmb.dbg:ehp1. in the root of the boot volume.
+:p.
+The log is created in the directory listed in the LOGFILES environment variable, if available.
+If the LOGFILES environment variable has not been set, the log is created in the &nd. directory. The filename is
+:hp1.log.ndpsmb:ehp1. for the &nd. log and :hp1.log.smbd:ehp1. for the Samba Client Plugin for &os. log.
 
 .******************************************************
 :h1.History
-:p.History of the Samba client for &nd.
+:p.Release history of the Samba client for &nd.
 :ul.
 :li.:link reftype=hd res=011.Version 1.0:elink.
@@ -154,5 +184,5 @@
 #include <changelog.txt>
 .******************************************************
-:h1.Credit
+:h1.Credits
 :ul.
 :li.Silvan Scherrer (aka diver)